Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class MessageEmitter

    java.lang.Object
      net.sf.saxon.event.Emitter
          net.sf.saxon.event.XMLEmitter
              net.sf.saxon.event.MessageEmitter

All Implemented Interfaces:
  Result, Receiver

    public class MessageEmitter

extends XMLEmitter

MessageEmitter is the default Receiver for xsl:message output. It is the same as XMLEmitter except for an extra newline at the end of the message

Constructor Summary
`MessageEmitter()`

Method Summary
`void` | `close()` End of the document.
`void` | `endDocument()` Notify the end of a document node

Methods inherited from class net.sf.saxon.event.XMLEmitter
`attribute, characters, closeStartTag, comment, endElement, main, namespace, open, processingInstruction, startContent, startDocument, startElement, writeCharSequence, writeDeclaration`

Methods inherited from class net.sf.saxon.event.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageEmitter

    public MessageEmitter()

Method Detail

### endDocument

    public void endDocument()
                     throws XPathException

  Description copied from class: `XMLEmitter`
  Notify the end of a document node

  Specified by:
    `endDocument` in interface `Receiver`
  Overrides:
    `endDocument` in class `XMLEmitter`
  Throws:
    `XPathException`

### close

    public void close()
               throws XPathException

  Description copied from class: `XMLEmitter`
  End of the document.

  Specified by:
    `close` in interface `Receiver`
  Overrides:
    `close` in class `XMLEmitter`
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.